{
  "server": {
    "port": "8089",
    "static": "./wwwroot"
  },
  "password": {
    "enabled": true
  },
  "logger": {
    "path": "logs",
    "file": "{Y-m-d}.log",
    "prefix": "",
    "level": "debug",
    "timeFormat": "2006-01-02 15:04:05",
    "ctxKeys": [],
    "header": true,
    "stdout": true,
    "rotateSize": 0,
    "rotateExpire": 0,
    "rotateBackupLimit": 0,
    "rotateBackupExpire": 0,
    "rotateBackupCompress": 0,
    "rotateCheckInterval": "1h",
    "stdoutColorDisabled": false,
    "writerColorEnable": false
  },
  "tty": {
    "serialPortAddress": "/dev/ttyS2",
    "baudRate": "9600"
  },
  "deviceInfo": {
    "deviceId": "862809073336480",
    "version": "1.0.2",
    "meterAddr": "0x04",
    "meterFirm": "ADL400",
    "loopCount": 10
  },
  "MessageInterval": 15,
  "Firefox": {
    "DebPkgPath": "./firefox",
    "DebPkgName": "firefox-deb.tar.gz",
    "InstallShellPath": "./firefox/firefox_install.sh"
  },
  "zap": {
    "level": "debug",
    "prefix": "",
    "format": "console",
    "director": "logs",
    "encode-level": "CapitalLevelEncoder",
    "stacktrace-key": "stacktrace",
    "show-line": true,
    "console-in-log": true,
    "log-in-console": true,
    "retention-day": 30,
    "max-size": "10mb",
    "compress": true,
    "compress-level": 9,
    "check-interval": "30m"
  },
  "mainControllerClient": {
    "server_host": "wss://iotserver.ruixininfo.com/jsonrpc/websocket",
    "secret_key": "viFuv4G2XJMxO4GIIsVfbJ2eKwy6QyuWLXmqZY69dy0G9iTY"
  }
}
